Jump to content

Raspbian Buster (10) with Domotz Pro Snap package - VPN on Demand issue


henriquesalvador
 Share

Recommended Posts

Hi all,

 

Please note that the latest Raspbian release (Buster/10) comes with a module enabled that prevents the VPN on Demand to work properly when using the snap package.

 

To resolve the issue please comment one line at this file /etc/ld.so.preload (command: sudo nano /etc/ld.so.preload):


Before

/usr/lib/arm-linux-gnueabihf/libarmmem-${PLATFORM}.so

After

#/usr/lib/arm-linux-gnueabihf/libarmmem-${PLATFORM}.so

*Just add a # at the beginning of the line.

This preloaded module conflicts with the snap package (not only the Domotz Pro app). After this the error with the module should be resolved and the agent will be able to use the VPN on Demand.

 

Remember that this only applies if you are using the Snap package, which we recommend as the package updates will be done automatically.

 

If you need any further assistance feel free to reply to this topic or reach out our Support team: support@domotz.com. 

 

Henrique Salvador

Domotz Support

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...